//
//  FHAttachment.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/28/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHObject.h"


@interface FHAttachment : FHObject
@property (nonatomic, assign, readonly) FHEmailInteraction *emailInteraction;
@property (nonatomic, copy,   readonly) NSString           *filename;
@property (nonatomic, copy,   readonly) NSURL              *temporaryURL;
@property (nonatomic, copy            ) NSURL              *localURL;
- (void)downloadWithProgress:(void (^)(float percent))progress
                     success:(void (^)(NSURL *localURL))success
                     failure:(void (^)(MTPocketResponse *response))failure;
@end



