//
//  FHCannedResponse.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/26/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHObject.h"

@interface FHCannedResponse : FHObject

@property (nonatomic, assign, readonly) FHCompany *company;
@property (nonatomic, copy            ) NSString  *name;
@property (nonatomic, copy            ) NSString  *shortcut;
@property (nonatomic, copy            ) NSString  *text;

+ (FHCannedResponse *)cannedResponseForCompany:(FHCompany *)company withName:(NSString *)name text:(NSString *)text;

- (MTPocketRequest *)save; // No ID => create, ID => update
- (MTPocketRequest *)destroy;


@end
