//
//  FHAccount.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/26/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHObject.h"

@interface FHCustomerAccount : FHObject

@property (nonatomic, assign, readonly) FHCustomer           *customer;
@property (nonatomic, copy,   readonly) NSString             *username;
@property (nonatomic,         readonly) BOOL                 followingUs;
@property (nonatomic, copy,   readonly) NSURL                *imageURL;
@property (nonatomic, copy,   readonly) NSString             *description;
@property (nonatomic,         readonly) NSInteger            followersCount;
@property (nonatomic,         readonly) FHInteractionChannel channel;

@end
