//
//  FHNote.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/26/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHObject.h"

@class FHAgent, FHInteraction;


@interface FHNote : FHObject

@property (nonatomic, assign, readonly) FHInteraction *interaction;
@property (nonatomic, copy            ) NSString      *body;
@property (nonatomic, strong, readonly) FHAgent       *agent;

+ (FHNote *)noteForInteraction:(FHInteraction *)interaction body:(NSString *)body;

- (MTPocketRequest *)save;
- (MTPocketRequest *)destroy;

@end
