//
//  FHNotification.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/26/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHObject.h"




typedef enum {
    FHNotificationLevelInfo,
    FHNotificationLevelWarning,
    FHNotificationLevelError
} FHNotificationLevel;




@interface FHNotification : FHObject

@property (nonatomic, assign, readonly) FHCompany           *company;
@property (nonatomic, copy,   readonly) NSString            *title;
@property (nonatomic, copy,   readonly) NSString            *text;
@property (nonatomic,         readonly) FHNotificationLevel level;

@end
