//
//  FHObject.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/21/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import <MTPocket.h>


@interface FHObject : NSObject
@property (nonatomic, copy,   readonly) NSNumber *identifier;
@property (nonatomic, copy,   readonly) NSDate   *createdAt;
@property (nonatomic, assign, readonly) BOOL     isFetched;
@property (nonatomic, assign, readonly) BOOL     isSaved;
- (void)purge;
@end
