//
//  FHTag.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/26/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHObject.h"

@interface FHTag : FHObject

@property (nonatomic, assign, readonly) FHCompany *company;
@property (nonatomic, copy            ) NSString  *label;

+ (FHTag *)tagForCompany:(FHCompany *)company withLabel:(NSString *)label;

- (MTPocketRequest *)save;
- (MTPocketRequest *)destroy;

@end
