//
//  FHAgentInvite.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/26/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHObject.h"

@interface FHAgentInvite : FHObject

@property (nonatomic, assign, readonly) FHCompany *company;
@property (nonatomic, copy,   readonly) NSString  *email;

+ (FHAgentInvite *)agentInviteForCompany:(FHCompany *)company toEmail:(NSString *)email;

- (MTPocketRequest *)save;
- (MTPocketRequest *)resend;
- (MTPocketRequest *)destroy;

@end
