//
//  FHCreditCard.m
//  FirehoseCocoa
//
//  Created by Adam Kirk on 9/10/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHCreditCard.h"
#import "private.h"


@implementation FHCreditCard

- (id)initWithCompany:(FHCompany *)company
{
    self = [super init];
    if (self) {
        _company = company;
    }
    return self;
}

+ (FHCreditCard *)creditCardWithCompany:(FHCompany *)company
{
    return [[FHCreditCard alloc] initWithCompany:company];
}

- (void)populateWithDictionary:(NSDictionary *)dictionary
{
    _expirationMonth    = [FHObject importInteger:dictionary[@"expiration_month"]];
    _expirationYear     = [FHObject importInteger:dictionary[@"expiration_year"]];
    _lastFour           = [FHObject importString:dictionary[@"last_four"]];
}

@end
