//
//  FHFacebookInteraction.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/28/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHInteraction.h"



typedef enum {
    FHFacebookPostTypeStatus,
    FHFacebookPostTypePhoto,
    FHFacebookPostTypeComment,
    FHFacebookPostTypeVideo,
    FHFacebookPostTypeLink
} FHFacebookPostType;




@interface FHFacebookInteraction : FHInteraction

@property (nonatomic, copy, readonly) NSNumber           *fromUserId;
@property (nonatomic, copy, readonly) NSString           *fromName;
@property (nonatomic, copy, readonly) NSNumber           *toUserId;
@property (nonatomic, copy, readonly) NSString           *toName;
@property (nonatomic, copy, readonly) NSString           *postId;
@property (nonatomic, copy, readonly) NSString           *commentId;
@property (nonatomic,       readonly) FHFacebookPostType postType;
@property (nonatomic, copy, readonly) NSString           *postExcerpt;
@property (nonatomic,       readonly) NSInteger          likeCount;

- (NSString *)typeString;

@end
