//
//  FHOutgoingAttachment.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 8/22/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//

#import "FHObject.h"


@interface FHOutgoingAttachment : FHObject

@property (nonatomic, strong, readonly) NSString *filename;
@property (nonatomic, strong, readonly) NSString *MIMEType;
@property (nonatomic, strong, readonly) NSString *token;
@property (nonatomic, strong, readonly) NSURL    *downloadURL;
@property (nonatomic, strong, readonly) NSURL    *uploadURL;
@property (nonatomic, assign, readonly) BOOL     uploaded;
@property (nonatomic, strong, readonly) NSURL    *localURL;

+ (FHOutgoingAttachment *)outgoingAttachmentWithLocalURL:(NSURL *)localURL;

- (void)uploadWithProgress:(void (^)(float percent))progress
                   success:(void (^)(NSURL *downloadURL))success
                   failure:(void (^)(MTPocketResponse *response))failure;

@end