//
//  FHTwitterInteraciton.h
//  FirehoseCocoa
//
//  Created by Adam Kirk on 1/28/13.
//  Copyright (c) 2013 Mysterious Trousers. All rights reserved.
//
@class FHTwitterAccount;

#import "FHInteraction.h"

@interface FHTwitterInteraction : FHInteraction

@property (nonatomic,       readonly) BOOL      favorited;
@property (nonatomic, copy, readonly) NSNumber  *tweetId;
@property (nonatomic, copy, readonly) NSString  *inReplyToScreenName;
@property (nonatomic, copy, readonly) NSNumber  *inReplyToStatusId;
@property (nonatomic,       readonly) NSInteger retweetCount;
@property (nonatomic, copy, readonly) NSString  *tweetSource;
@property (nonatomic, copy, readonly) NSNumber  *toUserId;
@property (nonatomic, copy, readonly) NSString  *toScreenName;
@property (nonatomic, copy, readonly) NSNumber  *fromUserId;

@end
